## aces3 3.0.6

=== Makefile ===
include ../GNUmakefile.chssi

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

ERDLIB=../lib/liberd.a

all: tabula_rasa $(ERDLIB)

tabula_rasa: ;
	rm -f make.out make.err

$(ERDLIB): liberd.a
	cp liberd.a $(ERDLIB)

liberd.a: $(F_OBJS) $(f_OBJS) $(c_OBJS)
	ar $(ARFLAGS) liberd.a $(F_OBJS) $(f_OBJS) $(c_OBJS)

libclean: ;
	rm -f liberd.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(FRAMELIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== aces2/Makefile ===
include ../GNUmakefile.chssi

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

ACES2_LIB=../lib/libaces2.a

all: tabula_rasa $(ACES2_LIB)

tabula_rasa: ;
	rm -f make.out make.err

$(ACES2_LIB): libaces2.a
	cp libaces2.a $(ACES2_LIB)

libaces2.a: $(F_OBJS) $(f_OBJS) $(c_OBJS)
	ar $(ARFLAGS) libaces2.a $(F_OBJS) $(f_OBJS) $(c_OBJS)

libclean: ;
	rm -f libaces2.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(FRAMELIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== direct_integral/Makefile ===
include ../GNUmakefile.chssi

DEFINES= 

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)

all rebuild relink: % : tabula_rasa $(F_OBJS) $(f_OBJS) $(c_OBJS)

tabula_rasa: ;
	rm -f make.out make.err

ppclean clean distclean: % : tabula_rasa
	rm -f *.o

libclean binclean archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== dup/Makefile ===
include ../GNUmakefile.chssi

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

DUPLIB=../lib/libdup.a

all: tabula_rasa $(DUPLIB)

tabula_rasa: ;
	rm -f make.out make.err

$(DUPLIB): libdup.a
	cp libdup.a $(DUPLIB)

libdup.a: $(F_OBJS) $(f_OBJS) $(c_OBJS)
	ar $(ARFLAGS) libdup.a $(F_OBJS) $(f_OBJS) $(c_OBJS)

libclean: ;
	rm -f libdup.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(DUPLIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== framelib/Makefile ===
include ../GNUmakefile.chssi

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

FRAMELIB=../lib/libframelib.a

all: tabula_rasa $(FRAMELIB)

tabula_rasa: ;
	rm -f make.out make.err

$(FRAMELIB): libframelib.a
	cp libframelib.a $(FRAMELIB)

libframelib.a: $(F_OBJS) $(f_OBJS) $(c_OBJS)
	ar $(ARFLAGS) libframelib.a $(F_OBJS) $(f_OBJS) $(c_OBJS)

libclean: ;
	rm -f libframelib.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(FRAMELIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== geopt/Makefile ===
include ../GNUmakefile.chssi

GEOPT_LIB=../lib/libgeopt.a

DEFINES= 

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

all: tabula_rasa $(GEOPT_LIB)

tabula_rasa: ;
	rm -f make.out make.err

$(GEOPT_LIB): libgeopt.a
	cp libgeopt.a $(GEOPT_LIB)

libgeopt.a: $(F_OBJS) $(f_OBJS) $(c_OBJS) $(CPP_OBJS)
	ar $(ARFLAGS) libgeopt.a $(F_OBJS) $(f_OBJS) $(c_OBJS) $(CPP_OBJS)

libclean: ;
	rm -f libgeopt.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(GEOPT_LIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.cpp.o: 
	$(CPP) -c $(CPPFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== main/Makefile ===
include ../GNUmakefile.chssi

SIP_DIR=../sip

FRAMELIB=../lib/libframelib.a
ERD_LIB=../lib/liberd.a
SIP_LIB=../lib/libsip.a
SIAL_LIB=../lib/libsial.a
SIP_SHARED_LIB=../lib/libsip_shared.a
ACES2_LIB=../lib/libaces2.a
GEOPT_LIB=../lib/libgeopt.a
SYMCOR_LIB=../lib/libsymcor.a
OED_LIB=../lib/liboed.a
DUP_LIB=../lib/libdup.a
INTEGRAL_OBJS=$(shell ls ../direct_integral/*.o 2>/dev/null)
WORKER_OBJS=$(shell ls ../worker/*.o 2>/dev/null)
MANAGER_OBJS=$(shell ls ../manager/*.o 2>/dev/null)

ACES3_EXE=../bin/xaces3

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

MAIN_OBJS=$(F_OBJS) $(f_OBJS) $(c_OBJS) $(CPP_OBJS)

all: tabula_rasa $(ACES3_EXE)

tabula_rasa: ;
	rm -f make.out make.err

$(ACES3_EXE): xaces3
	cp xaces3 $(ACES3_EXE)

xaces3: $(FRAMELIB) $(ERD_LIB) $(SIP_LIB) $(SIAL_LIB) $(SIP_SHARED_LIB) \
        $(ACES2_LIB) $(GEOPT_LIB) $(SYMCOR_LIB) $(OED_LIB) $(DUP_LIB) $(INTEGRAL_OBJS) \
        $(MAIN_OBJS) $(WORKER_OBJS) $(MANAGER_OBJS)
	$(FC) $(FFLAGS) $(LFLAGS) -o xaces3 \
	       $(MAIN_OBJS) $(MANAGER_OBJS) $(WORKER_OBJS) $(INTEGRAL_OBJS) \
	       $(LIB_DIRS) $(LIBS) && test -x xaces3  || rm -f xaces3

binclean: ;
	rm -f xaces3

ppclean clean distclean: % : tabula_rasa binclean
	rm -f *.o

rebuild relink: % : binclean $(ACES3_EXE)

libclean archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.cpp.o: 
	$(CPP) -c $(CPPFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== manager/Makefile ===
include ../GNUmakefile.chssi

DEFINES= 
FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

all rebuild relink: % : tabula_rasa $(F_OBJS) $(f_OBJS) $(c_OBJS) $(CPP_OBJS)

tabula_rasa: ;
	rm -f make.out make.err

ppclean clean distclean: % : tabula_rasa
	rm -f *.o

libclean binclean archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.cpp.o: 
	$(CPP) -c $(CPPFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== nlo/Makefile ===
include ../GNUmakefile.chssi

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

NLOLIB=../lib/libnlo.a

all: tabula_rasa $(NLOLIB)

tabula_rasa: ;
	rm -f make.out make.err

$(NLOLIB): libnlo.a
	cp libnlo.a $(NLOLIB)

libnlo.a: $(F_OBJS) $(f_OBJS) $(c_OBJS)
	ar $(ARFLAGS) libnlo.a $(F_OBJS) $(f_OBJS) $(c_OBJS)

libclean: ;
	rm -f libnlo.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(NLOLIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== oed/Makefile ===
include ../GNUmakefile.chssi

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

OEDLIB=../lib/liboed.a

all: tabula_rasa $(OEDLIB)

tabula_rasa: ;
	rm -f make.out make.err

$(OEDLIB): liboedlib.a
	cp liboedlib.a $(OEDLIB)

liboedlib.a: $(F_OBJS) $(f_OBJS) $(c_OBJS)
	ar $(ARFLAGS) liboedlib.a $(F_OBJS) $(f_OBJS) $(c_OBJS)

libclean: ;
	rm -f liboedlib.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(FRAMELIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== sial/Makefile ===
include ../GNUmakefile.chssi

SIAL_LIB=../lib/libsial.a

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

all: tabula_rasa $(SIAL_LIB)

tabula_rasa: ;
	rm -f make.out make.err

$(SIAL_LIB): libsial.a
	cp libsial.a $(SIAL_LIB)

libsial.a: $(F_OBJS) $(f_OBJS) $(c_OBJS) $(CPP_OBJS)
	ar $(ARFLAGS) libsial.a $(F_OBJS) $(f_OBJS) $(c_OBJS) $(CPP_OBJS) 

libclean: ;
	rm -f libsial.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(SIAL_LIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.cpp.o: 
	$(CPP) -c $(CPPFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== sial_codes/Makefile ===

SIAL_COMPILER=../bin/sial
SIO_DIR=../bin/sio

SIAL_SOURCE=$(wildcard *.sial)
SIO_OBJS=$(SIAL_SOURCE:.sial=.sio)

all: $(SIO_OBJS) $(SIO_DIR)/sial_config $(SIO_DIR)/default_jobflows

binclean clean distclean: % : ;
	rm -f *.sio

rebuild relink: % : binclean all

libclean ppclean archive: % : ;

$(SIO_DIR)/sial_config: sial_config
	cp sial_config $(SIO_DIR)

$(SIO_DIR)/default_jobflows: default_jobflows
	cp default_jobflows $(SIO_DIR)

.SUFFIXES: .sial .sio

.sial.sio:
	$(SIAL_COMPILER) $< && cp $@ $(SIO_DIR)

=== debian/changelog ===
aces3 (3.0.6-7build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Dec 2013 00:20:15 -0500

aces3 (3.0.6-7) unstable; urgency=high

  [ Michael Banck ]
  * debian/patches/exit_impossible_seq_jobs_gracefully.patch: New patch,
    prints a helpful error message and quits if a job type is requested which
    cannot be run sequentially (Closes: #687266).
  * debian/patches/ignore_invalid_message_nind.patch: New patch, if a message
    of type ``server_barrier_signal'' or ``server_quit_msgtype'' arrives,
    ignore if the value of the ``nind'' field is invalid (Closes: #687264).

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Apr 2013 10:44:02 +0200

aces3 (3.0.6-6) unstable; urgency=low

  * debian/patches/divide-by-zero-error_fix.patch: New patch, fixes a
    floating-point exception in case some types of calculations are run on
    a single core (Closes: #683467).

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Sep 2012 09:05:06 +0200

aces3 (3.0.6-5) unstable; urgency=low

  [ Michael Banck ]
  * debian/rules (override_dh_auto_clean, override_dh_auto_configure): New
    rules, moving away duplicate lapack/blas source files in the dup/
    subdirectory on configure and putting them back in place on clean 
    (Closes: #680397).
  * debian/patches/testsuite_prepare.patch: Further cut down the testsuite to
    only test case 1.1.1.1 in order to relief slower buildds.

  [ Daniel Leidert ]
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Thu, 19 Jul 2012 02:08:21 +0200

aces3 (3.0.6-4) unstable; urgency=low

  * debian/patches/patches/default_directories.patch: Fix patch for the case
    when $ACES_EXE_PATH is not set.
  * debian/rules (override_dh_auto_test): Only run testsuite if
    DEB_BUILD_OPTIONS does not contain `nocheck', as per policy.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 04:01:26 +0100

aces3 (3.0.6-3) unstable; urgency=low

  * debian/patches/patches/default_directories.patch: Rework patch to not fail
    if $ACES_EXE_PATH is set but /usr/lib/aces3 is not present.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 02:53:51 +0100

aces3 (3.0.6-2) unstable; urgency=low

  * debian/control (Description): Slight updates.
  * debian/rules (override_dh_auto_test): Set OMPI_MCA_plm_rsh_agent
    environment variable to make test suite run in a chroot.
  * debian/patches/testsuite_prepare.patch: Remove most tests from TESTS
    varilable to make testsuite run shorter, echo current test name to stdout
    to produce some output and remove calls to the non-existant `lfs' utility.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 01:53:34 +0100

aces3 (3.0.6-1) unstable; urgency=low

  * Initial upload (Closes: #640718).

 -- Michael Banck <mbanck@debian.org>  Tue, 06 Sep 2011 22:05:11 +0200

=== debian/control ===
Source: aces3
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), csh, mpi-default-bin, gfortran, mpi-default-dev, libblas-dev, liblapack-dev
Standards-Version: 3.9.2
Homepage: http://www.qtp.ufl.edu/ACES
Vcs-Browser: http://svn.debian.org/wsvn/aces3/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/aces3/
DM-Upload-Allowed: yes

Package: aces3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Advanced Concepts in Electronic Structure III
 ACESIII is an electronic structure calculation program with a focus on
 correlated methods.  It is the parallel successor to ACESII, employing the
 Super Instruction Assembly Language (SIAL) as parallelization framework.
 Features include:
 .
 Energies, analytic gradients and analytic hessians for the following methods:
  * Restricted/unrestricted spin or restricted open-shell Hartree-Fock (HF)
  * Second-order Moeller-Plesset pertubation theory (MP2)
 .
 Energies and analytic gradients for the following methods:
  * Coupled cluster singles and doubles (CCSD)
 .
 Additionally, it can compute energies for the following methods:
  * Coupled cluster singles and doubles with pertubative triples (CCSD(T)) 
  * Quadratic configuration-interaction singles and doubles (QCISD)
 .
 Excited states can be calculated by the following methods:
  * Qadratic configuration interaction singles and doubles
  * Coupled cluster equation-of-motion (EOM-CC)
 .
 It also includes an internal coordinate geometry optimizer.  If analytic
 gradients are not available, numerical gradients via finite differences are
 used.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

FC=mpif77

override_dh_auto_clean:
	(cd dup; if ls *.f_ > /dev/null 2>&1; then for i in *.f_; do mv $$i `echo $$i | sed s/\_$$//`; done; fi)
	(cd dup; if ls *.F_ > /dev/null 2>&1; then for i in *.F_; do mv $$i `echo $$i | sed s/\_$$//`; done; fi)
	dh_auto_clean

override_dh_auto_configure:
	(cd dup; for i in `ls *.f *.F | grep -v dsum.F | grep -v xscal.F | grep -v xdnrm2.f | grep -v xdscal.f | grep -v xdswap.f`; do \
	  mv $$i $$i\_; \
	done)	

%:
	dh $@ 

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-(cd tests; OMPI_MCA_plm_rsh_agent=/bin/false csh ./runscript)
	-cat ACESIII_TESTS/monitor_tests
endif

## aces3 3.0.8

=== doc/Makefile ===
#   
#   Makefile for doxygen to generate documentation.
#
#   Running make will create documentation in the
#   'html' directory.
#
export
#   gmake all: Builds the xchssi executable.
DOXYGEN_EXE=doxygen

all: doxygen

doxygen: ;
	doxygen Doxyfile

clean: ;
	rm -rf html

=== src/Makefile ===
#   
#   Main Makefile for chssi application.
#

export
#   gmake all: Builds the xchssi executable.
CHSSI_EXE=xchssi
FILES:=aces sia sial_compiler aces/aces_sial main
TARGET_DIRS:=$(shell for dir in $(FILES); \
                     do test -f $$dir/Makefile && echo $$dir; \
                     done)
#64BIT=1 # inherited from top-level make

all binclean libclean ppclean clean distclean: % : ;
	@for dir in $(TARGET_DIRS) ; \
	 do $(MAKE) -C $$dir $@ || exit 1 ; \
	 done

relink: binclean all

rebuild: libclean all

archive:

=== tests/Makefile ===
include ../GNUmakefile.chssi

# Default variable settings
MPIRUN="mpirun ./xaces3 >./job.out"
RUN_COMPARE="mpirun .xtest_compare "
ENV_VARS=" "

# Machine-specific variable settings

ifeq ($(MACHNAME),submit1)
PBS_LINES="\#PBS -j oe"
PBS_LINES += "\#PBS -l nodes=8:ppn=8:infiniband"
PBS_LINES += "\#PBS -l walltime=40:00:00"
PBS_LINES += "\#PBS -l pmem=2000mb"
PBS_LINES += "\#PBS -q parallel"
SET_ACES_EXE_PATH=export ACES_EXE_PATH=
ACES_EXE_PATH=/home/lotrich/FROM_GIT_JAN2/acesiii//bin
ACES3_EXE="/home/lotrich/FROM_GIT_JAN2/acesiii/bin"
MPIRUN="mpiexec --mca btl openib,self,sm ./xaces3 > ./job.out"
RUN_COMPARE="mpiexec --mca btl openib,self,sm ./xtest_compare"
WORKDIR=/scratch/hpc/${USER}
endif

ifeq ($(MACHNAME),submit2)
PBS_LINES="\#PBS -j oe"
PBS_LINES += "\#PBS -l nodes=8:ppn=8:infiniband"
PBS_LINES += "\#PBS -l walltime=40:00:00"
PBS_LINES += "\#PBS -l pmem=2000mb"
PBS_LINES += "\#PBS -q parallel"
SET_ACES_EXE_PATH=export ACES_EXE_PATH=
ACES_EXE_PATH=/home/lotrich/FROM_GIT_JAN2/acesiii//bin
ACES3_EXE="/home/lotrich/FROM_GIT_JAN2/acesiii/bin"
MPIRUN="mpiexec --mca btl openib,self,sm ./xaces3 > ./job.out"
RUN_COMPARE="mpiexec --mca btl openib,self,sm ./xtest_compare"
WORKDIR=/scratch/hpc/${USER}
endif

ifeq ($(MACHNAME),chugach)
PBS_LINES="\#PBS -j oe"
PBS_LINES += "\#PBS -N ACES3_TEST"
PBS_LINES += "\#PBS -l mppwidth=64"
PBS_LINES += "\#PBS -l walltime=12:00:00"
PBS_LINES += "\#PBS -q standard"
PBS_LINES += "\#PBS -e ACESIII_tests.err"
PBS_LINES += "\#PBS -o ACESIII_tests.out"
PBS_LINES += "\#PBS -A ARONC24913112"
ENV_VARS="setenv MPICH_GNI_NDREG_LAZYMEM disabled"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="aprun -n 64 ./xaces3 >./job.out"
RUN_COMPARE="aprun -n 64 ./xtest_compare "
endif

ifeq ($(MACHNAME),pingo)
PBS_LINES="\#PBS -j oe"
PBS_LINES += "\#PBS -N ACES3_TEST"
PBS_LINES += "\#PBS -l mppwidth=64"
PBS_LINES += "\#PBS -l walltime=12:00:00"
PBS_LINES += "\#PBS -q standard" 
ENV_VARS="setenv MPICH_PTL_OTHER_EVENTS 20000" 
ENV_VARS +="setenv MPICH_PTL_UNEX_EVENTS  100000" 
ENV_VARS +="setenv MPICH_MSGS_PER_PROC 40000" 
ENV_VARS +="setenv MPICH_UNEX_BUFFER_SIZE 128000000" 
ENV_VARS +="setenv MPICH_MAX_SHORT_MSG_SIZE 64000" 
ENV_VARS +="lfs setstripe ./BLOCKDATA 0 -1 -1" 
ENV_VARS +="lfs setstripe ./BLOCKDATA2 0 -1 -1" 
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH 
MPIRUN="aprun -n 64 ./xaces3 >./job.out"
RUN_COMPARE="aprun -n 64 ./xtest_compare "
endif

ifeq ($(MACHNAME),mjm)
PBS_LINES="\#BSUB -m \"mjm\""
PBS_LINES+="\#BSUB -a \"openmpi\""
PBS_LINES+="\#BSUB -J ACES3_TEST"
PBS_LINES+="\#BSUB -q standard"
PBS_LINES+="\#BSUB -n 64"
PBS_LINES+="\#BSUB -W 12:00"
PBS_LINES+="\#BSUB -P ARLAP02642520"
PBS_LINES+="\#BSUB -e job.err"
ENV_VARS="module load intel"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="mpirun.lsf ./xaces3 >./job.out"
RUN_COMPARE="mpirun.lsf ./xtest_compare "
endif

ifeq ($(MACHNAME),tbird)
WORKDIR=/gscratch1/$(USER)
PBS_LINES="\#PBS -l nodes=64:ppn=1:gscratch1"
PBS_LINES+="\#PBS -l walltime=12:00:00"
PBS_LINES+="\#PBS -A FY093344"
PBS_LINES+="\#PBS -N ACES3_TEST"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="mpiexec ./xaces3 >./job.out"
RUN_COMPARE="mpiexec ./xtest_compare "
endif

ifeq ($(MACHNAME),babbage)
PBS_LINES="\#PBS -q standard"
PBS_LINES+="\#PBS -l walltime=24:00:00"
PBS_LINES+="\#PBS -N ACES3_TEST"
PBS_LINES+="\#PBS -A ARLAP520"
PBS_LINES+="\#PBS -l select=4:ncpus=16:mpiprocs=16"
PBS_LINES+="\#PBS -l place=scatter:excl"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="poe ./xaces3 >./job.out"
RUN_COMPARE="poe ./xtest_compare "
endif

ifeq ($(MACHNAME),einstein)
PBS_LINES="\#PBS -N ACES3_TEST"
PBS_LINES+="\#PBS -o job.out"
PBS_LINES+="\#PBS -e job.err"
PBS_LINES+="\#PBS -A ARLAP02643520"
PBS_LINES+="\#PBS -l walltime=12:00:00"
PBS_LINES+="\#PBS -l mppwidth=64"
PBS_LINES+="\#PBS -l mppnppn=4"
PBS_LINES+="\#PBS -q standard"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="aprun -N 4 -n 64 ./xaces3 >./job.out"
RUN_COMPARE="aprun -N 4 -n 64 ./xtest_compare "
endif

ifeq ($(MACHNAME),davinci)
PBS_LINES="\#PBS -N ACES3_TEST"
PBS_LINES+="\#PBS -o job.out"
PBS_LINES+="\#PBS -e job.err"
PBS_LINES+="\#PBS -A ARLAP02643520"
PBS_LINES+="\#PBS -l walltime=24:00:00"
PBS_LINES+="\#PBS -l select=2:ncpus=32:mpiprocs=32"
PBS_LINES+="\#PBS -l place=scatter:excl"
PBS_LINES+="\#PBS -q standard"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="poe ./xaces3 >./job.out"
RUN_COMPARE="poe ./xtest_compare "
endif

ifeq ($(MACHNAME),hawk)
PBS_LINES="\#PBS -q standard"
PBS_LINES+="\#PBS -l select=16:ncpus=4"
PBS_LINES+="\#PBS -l walltime=24:00:00"
PBS_LINES+="\#PBS -N ACESIII_TEST"
PBS_LINES+="\#PBS -A WPCARLAP02642520"
ENV_VARS="setenv MPI_DEFAULT_SINGLE_COPY_OFF 1"
ENV_VARS+="unsetenv MPI_BUFFER_MAX"
ENV_VARS+="unsetenv MPI_MAPPED_HEAP_SIZE"
ENV_VARS+="unsetenv MPI_MAPPED_STACK_SIZE"
ENV_VARS+="setenv MPI_REQUEST_MAX 100000"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="mpirun -np 64 dplace -s1 -c0-63 ./xaces3 >job.out"
RUN_COMPARE="mpirun -np 64 dplace -s1 -c0-63 ./xtest_compare "
endif

ifeq ($(MACHNAME),midnight)
PBS_LINES="\#PBS -q standard"
PBS_LINES+="\#PBS -l select=16:ncpus=4:node_type=4way"
PBS_LINES+="\#PBS -l walltime=16:00:00.0"
PBS_LINES+="\#PBS -N ACESIII_TEST"
ENV_VARS="module switch PrgEnv PrgEnv.pgi"
SET_ACES_EXE_PATH=setenv ACES_EXE_PATH
MPIRUN="mpirun -np 64 ACES_EXE_PATH=$(ACES3_EXE) ./xaces3 >job.out"
RUN_COMPARE="mpirun -np 64 ACES_EXE_PATH=$(ACES3_EXE) ./xtest_compare "
endif

INSTALL_DIR=$(WORKDIR)/ACESIII_TESTS
ACES3_EXE=$(shell pwd)/../bin
GENBAS=./GENBAS
runscript=./runscript 
TESTS=1.1.1.1 1.1.2.1 1.1.2.2 1.1.3.1 1.1.3.2 1.1.4.1 1.1.4.2 \
      1.2.1.1 1.2.2.1 1.2.3.1 1.2.3.2 \
	1.3.1.1 1.3.2.1 \
	1.4.3.1 1.4.3.2 \
	2.1.1.1 2.1.2.1 2.1.2.2 2.1.3.1 2.1.3.2 2.1.4.1 2.1.4.2 \
	2.2.1.1 2.2.2.1 2.2.3.1 2.2.3.2 \
	2.3.1.1 2.3.2.1 \
	2.4.3.1 2.4.3.2 4.1.1.1 4.2.1.1  
#3.1.1.1 3.1.2.1 3.1.3.1 3.1.3.2 3.1.4.1 3.1.4.2 \
#3.2.1.1 3.2.1.2 3.2.2.1 3.2.2.2 3.2.3.1

all: tests scripts

# Build directories of all test jobs.

tests: % : ;
	@cp test_results $(ACES3_EXE) ;
	@rm -rf $(INSTALL_DIR) ; 
	@mkdir $(INSTALL_DIR) ; 
	@for mytest in $(TESTS) ; \
	 do mkdir $(INSTALL_DIR)/$$mytest || exit 1; \
	    cp $(GENBAS) $(ACES3_EXE)/xaces3 $(ACES3_EXE)/xtest_compare $(INSTALL_DIR)/$$mytest || exit 1; \
	    cp zmat_$$mytest $(INSTALL_DIR)/$$mytest/ZMAT || exit 1; \
	 done
	
scripts: % : ;
	@echo \#!/bin/csh >runscript 
	@for line in $(PBS_LINES) ; \
	   do echo $$line >>runscript ; \
	   done
	@for line in $(ENV_VARS) ; \
	   do echo $$line >>runscript ; \
	   done
	@echo $(SET_ACES_EXE_PATH) $(ACES3_EXE) >>runscript ;
	@echo cd $(INSTALL_DIR) >>runscript ;
	@echo "echo Test of ACESIII system >monitor_tests" >>runscript ; 
	@echo "date >>monitor_tests" >>runscript  ; 
	@for test in $(TESTS) ; \
	   do echo >>runscript  ; \
	      echo \#\#\# Test $$test \#\#\# >>runscript ; \
	      echo cd $(INSTALL_DIR)/$$test >>runscript ; \
              echo lfs setstripe BLOCKDATA  0 -1 -1 >>runscript ; \
              echo lfs setstripe BLOCKDATA2 0 -1 -1 >>runscript ; \
	      echo "echo Running $$test >>../monitor_tests" >>runscript ; \
              echo "date >>../monitor_tests" >>runscript ; \
	      echo $(MPIRUN) >>runscript ; \
	      echo "echo Completed $$test >>../monitor_tests" >>runscript ; \
	      echo "$(RUN_COMPARE) $$test >>../monitor_tests" >>runscript ; \
	      echo sleep 10 >>runscript ; \
	   done  
	@cp runscript $(INSTALL_DIR) ;

clean: % : ;
	@rm -rf $(INSTALL_DIR) 
	@rm -rf runscript
	@rm -rf ACES3_TEST.o*

libclean binclean archive: % : ;

=== src/aces/Makefile ===

#   gmake all: Builds the xchssi executable.
CHSSI_EXE=xchssi

FILES:=$(wildcard *)
MAINS:=aces_library
#FILES:=$(filter-out $(MAINS),$(FILES)) $(MAINS)
FILES:=aces_library
TARGET_DIRS:=$(shell for dir in $(FILES); \
                     do test -f $$dir/Makefile && echo $$dir; \
                     done)
#64BIT=1 # inherited from top-level make

all binclean libclean ppclean clean distclean: % : ;
	@for dir in $(TARGET_DIRS) ; \
	 do $(MAKE) -C $$dir $@ || exit 1 ; \
	 done

relink: binclean all

rebuild: libclean all

archive:

=== src/sia/Makefile ===
#   
#   Main Makefile for sia
#

export
#   gmake all: Builds the xchssi executable.
CHSSI_EXE=xchssi

FILES:=$(wildcard *)
TARGET_DIRS:=$(shell for dir in $(FILES); \
                     do test -f $$dir/Makefile && echo $$dir; \
                     done)
#64BIT=1 # inherited from top-level make

all binclean libclean ppclean clean distclean: % : ;
	@for dir in $(TARGET_DIRS) ; \
	 do $(MAKE) -C $$dir $@ || exit 1 ; \
	 done

relink: binclean all

rebuild: libclean all

archive:

=== src/sial_compiler/Makefile ===
#   
#   Main Makefile for chssi application.
#

export
#   gmake all: Builds the xchssi executable.
CHSSI_EXE=xchssi
FILES:= sial compiler
TARGET_DIRS:=$(shell for dir in $(FILES); \
                     do test -f $$dir/Makefile && echo $$dir; \
                     done)
#64BIT=1 # inherited from top-level make

all binclean libclean ppclean clean distclean: % : ;
	@for dir in $(TARGET_DIRS) ; \
	 do $(MAKE) -C $$dir $@ || exit 1 ; \
	 done

relink: binclean all

rebuild: libclean all

archive:

=== src/aces/aces_library/Makefile ===
#   
#   Main Makefile for chssi application.
#

export
#   gmake all: Builds the xchssi executable.
CHSSI_EXE=xchssi

FILES:=$(wildcard *)
MAINS:= a2driver special_directory
FILES:=$(filter-out $(MAINS),$(FILES)) $(MAINS)
TARGET_DIRS:=$(shell for dir in $(FILES); \
                     do test -f $$dir/Makefile && echo $$dir; \
                     done)
#64BIT=1 # inherited from top-level make

all binclean libclean ppclean clean distclean: % : ;
	@for dir in $(TARGET_DIRS) ; \
	 do $(MAKE) -C $$dir $@ || exit 1 ; \
	 done

relink: binclean all

rebuild: libclean all

archive:

=== src/aces/aces_library/a2driver/Makefile ===
#   
#   Main Makefile for chssi application.
#

export
#   gmake all: Builds the xchssi executable.
CHSSI_EXE=xchssi
FILES:=$(wildcard *)
MAINS:= symcor
FILES:=$(filter-out $(MAINS),$(FILES)) $(MAINS)
TARGET_DIRS:=$(shell for dir in $(FILES); \
                     do test -f $$dir/Makefile && echo $$dir; \
                     done)
#64BIT=1 # inherited from top-level make

all binclean libclean ppclean clean distclean: % : ;
	@for dir in $(TARGET_DIRS) ; \
	 do $(MAKE) -C $$dir $@ || exit 1 ; \
	 done

relink: binclean all

rebuild: libclean all

archive:

=== src/aces/aces_library/special_directory/Makefile ===
  
#   Main Makefile for chssi application.
#

export
#   gmake all: Builds the xchssi executable.
CHSSI_EXE=xchssi
FILES:=$(wildcard *)
MAINS:= dup
FILES:=$(filter-out $(MAINS),$(FILES)) $(MAINS)
TARGET_DIRS:=$(shell for dir in $(FILES); \
                     do test -f $$dir/Makefile && echo $$dir; \
                     done)
#64BIT=1 # inherited from top-level make

all binclean libclean ppclean clean distclean: % : ;
	@for dir in $(TARGET_DIRS) ; \
	 do $(MAKE) -C $$dir $@ || exit 1 ; \
	 done

relink: binclean all

rebuild: libclean all

archive:

=== src/aces/aces_library/special_directory/prop_ints/Makefile ===
include ../../../../../GNUmakefile.chssi

#Compilers
FC=mpif77
CC=mpicc
CPP=mpiCC
SERIAL_CPP=icpc

#Compiler flags
FFLAGS=-D__fortran -D__fortran77 -DMPIF2C -Zp8 -zero -traceback -mcmodel=medium -DMPI2 -shared-intel -O2
CFLAGS=-DMPIF2C -DC_SUFFIX -mcmodel=medium -DMPI2 -shared-intel -O2  -DCB_SUFFIX
CPPFLAGS=-DMPIF2C -DC_SUFFIX -DCB_SUFFIX -mcmodel=medium -DMPI2 -shared-intel -O2

#ACESLIBS variable will be replaced by the autoconf script with appropriate libraries
LIBS = -Wl,--start-group -lmkl_intel_lp64 -lmkl_sequential -lmkl_core  -Wl,--end-group
LIBS:= -lstdc++ -lsip1 -lsip2 -lsip_shared -lframelib -laces2 -lgeopt -lsymcor -laces2 -lerd -loed -lprop_ints -ldup -lsip1 -lsip2 $(LIBS)

#ACESFLAGS variable will be replaced by the autoconf script with location of libraries
LIB_DIRS= -L.

SIAL_COMPILER_LIBS= -lsial -lsip_shared -laces2  -lifcore


INCLUDE_DIRS := -I../../../../sia/include -I../aces2/include $(INCLUDE_DIRS)
LIB_DIRS:=-L../../../lib $(LIB_DIRS)

FSOURCE=$(wildcard *.F)
F_OBJS=$(FSOURCE:.F=.o)
fSOURCE=$(wildcard *.f)
f_OBJS:=$(fSOURCE:.f=.o)
cSOURCE=$(wildcard *.c)
c_OBJS:=$(cSOURCE:.c=.o)
CPP_SOURCE=$(wildcard *.cpp)
CPP_OBJS:=$(CPP_SOURCE:.cpp=.o)

PROP_INTSLIB=../../../../../lib/libprop_ints.a

all: tabula_rasa $(PROP_INTSLIB)

tabula_rasa: ;
	rm -f make.out make.err

$(PROP_INTSLIB): libprop_intslib.a
	cp libprop_intslib.a $(PROP_INTSLIB)
	rm -f make.out make.err

libprop_intslib.a: $(F_OBJS) $(f_OBJS) $(c_OBJS)
	ar $(ARFLAGS) libprop_intslib.a $(F_OBJS) $(f_OBJS) $(c_OBJS)

libclean: ;
	rm -f libprop_intsdlib.a

ppclean clean distclean: % : tabula_rasa libclean
	rm -f *.o

rebuild: libclean $(FRAMELIB)

binclean relink archive: % : ;

.f.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.F.o:
	$(FC) -c $(FFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDE_DIRS) $< 1>>make.out 2>>make.err

=== debian/changelog ===
aces3 (3.0.8-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:12 +0100

aces3 (3.0.8-6) unstable; urgency=medium

  * Rebuild against latest openmpi to fix FTBFS on mult. arches
  * Standards-Version: 4.2.1
  * make build more verbose by default
  * Point VCS-* to salsa.d.o, homepage to https version
  * Set aces3-data to Multi-Arch: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Dec 2018 16:21:47 +0000

aces3 (3.0.8-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix obsolete use of libgfortranbegin. Closes: #831164.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Sep 2016 11:05:40 +0100

aces3 (3.0.8-5) unstable; urgency=medium

  * debian/patches/makefile_show_output.patch: New patch, makes the Makefiles
    no longer supress general output and errors (Closes: #794782).
  * debian/rules (override_dh_auto_clean): Remove config.h.
  * debian/control (DM-Upload-Allowed): Removed.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Nov 2015 17:53:16 +0100

aces3 (3.0.8-4) unstable; urgency=medium

  * debian/rules (FFLAGS1): Remove quotes (Closes: #767498).

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Nov 2014 17:28:11 +0100

aces3 (3.0.8-3) unstable; urgency=medium

  * debian/rules: Move FFLAGS1 from override_dh_auto_configure to a top-level
    variable (Closes: #767498). 

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Nov 2014 10:05:12 +0100

aces3 (3.0.8-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Set FFLAGS1 for F90 source
    files, including -ffunction-sections to fix FTBFS errors on armhf and
    arm64 (Closes: #767498).
  * debian/rules (override_dh_auto_configure): Remove superfluous -lmpi_cxx and
    -lstdc++ from GNULIBS, fixing an FTBFS error on s390x (Closes: #767498).
  * debian/control (aces3-data): Add Replaces for aces3 package prior to the
    -data splitup (Closes: #768212).

 -- Michael Banck <mbanck@debian.org>  Sat, 08 Nov 2014 13:50:23 +0100

aces3 (3.0.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/default_directories.patch: Updated.
  * debian/patches/testsuite_input.patch: Likewise.
  * debian/patches/makefile_distclean.patch: Likewise.
  * debian/patches/testsuite_prepare.patch: Likewise.
  * debian/patches/divide-by-zero-error_fix.patch: Likewise.
  * debian/patches/exit_impossible_seq_jobs_gracefully.patch: Likewise.
  * debian/patches/ignore_invalid_message_type_nind.patch: Likewise.
  * debian/patches/fix_format_not_string.patch: Likewise.
  * debian/patches/testsuite_quicktests.patch: Likewise.
  * debian/patches/fix_binary_characters_in_output.patch: Likewise.
  * debian/patches/testsuite_compare.patch: Likewise.
  * debian/patches/compile_error.patch: Removed, no longer needed.
  * debian/patches/fix_compile_errors.patch: New patch, fixes compile errors
    introduced in new upstream version.
  * debian/patches/fix_autoconf.patch: New patch, fixes issues with AC_SUBST
    ordering and adds some missing Makefiles to AC_CONFIG_FILES.
  * debian/rules (override_dh_auto_clean, override_dh_auto_configure): Adjust
    for new location of dup directory and include a couple of more Fortran
    files which are newly required in the new upstream version.
  * debian/rules (override_dh_auto_configure): Run dh_auto_configure.
  * debian/patches/patches/testsuite_quicktests.patch: Delete newly created
    runtests-quick script as well.
  * debian/patches/makefile_distclean.patch: Removed Fortran90 .mod files from
    oed_F12 and erd_F12 directories, as well as a couple of new uncleaned files.
  * debian/rules (override_dh_auto_clean): Remove auto-generated Makefiles.
  * debian/patches/makeflags.patch: Removed, no longer needed.
  * debian/patches/fix_read_after_eof.patch: New patch, fixes runtime errors
    when writing ZMAT.AUTO.
  * debian/patches/fix_corrupted_jobabort_variable.patch: New patch, fixes a
    memory corruption leading to early aborts of compute jobs.
  * debian/patches/update_version.patch: New patch, update version number.
  * debian/patches/mem_alloc.patch: New patch, replaces the new and 64bit-only
    memory allocation with the code from version 3.0.7.
  * debian/rules (override_dh_auto_clean): Make sure all .sio source files are
    removed on clean.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Oct 2014 18:10:40 +0100

aces3 (3.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makeflags.patch: Updated.
  * debian/patches/makefile_distclean.patch: Likewise.
  * debian/patches/exit_impossible_seq_jobs_gracefully.patch: Likewise.
  * debian/patches/fix_binary_characters_in_output.patch: Likewise.
  * debian/patches/compile_error.patch: New patch, fixes compile errors.
  * debian/control (aces3/Depends): Fixed depends on aces3-data.

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Oct 2014 13:25:30 +0200

aces3 (3.0.6-8) unstable; urgency=medium

  [ Michael Banck ]
  * debian/patches/testsuite_input.patch: Updated all testsuite input files
    with much less demanding H2O coordinates and VDZ basis sets.
  * debian/patches/testsuite_prepare.patch: Run testsuite with two MPI
    processes.  Otherwise, most tests abort.
  * debian/patches/testsuite_quicktests.patch: New patch, define a new set
    $(QUICKTESTS) of tests which only runs a few tests to check basic
    functionality.  Also create a runscript-quick to run them.
  * debian/patches/testsuite_prepare.patch: Adjusted to no longer modify the
    set of tests in $(TESTS).
  * debian/rules (override_dh_auto_test): Run runscript-quick instead of
    runcript.
  * debian/patches/fix_binary_characters_in_output.patch: New patch, crops the
    sial_program variable at 60 characters, avoiding binary garbage at the end
    which makes the ACESIII output files be recognized as binary files by Unix


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

export FC=mpif77
export FFLAGS1=-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -D__fortran -D__fortran77 -g -O0 -Wall -fno-aggressive-loop-optimizations -ffunction-sections

override_dh_auto_clean:
	(cd src/aces/aces_library/special_directory/dup; if ls *.F_ > /dev/null 2>&1; then for i in *.F_; do mv $$i `echo $$i | sed s/\_$$//`; done; fi)
	rm -f `find . -name "Makefile.in" | sed s/.in$$//`
	rm -f `find src/aces/aces_sial -name "*.sio"`
	rm -f config.h
	dh_auto_clean

override_dh_auto_configure:
	(cd src/aces/aces_library/special_directory/dup; for i in `ls *.F | grep -v dsum.F | grep -v elmhes.F | grep -v eltran.F | grep -v hqr.F | grep -v xdcopy.F | grep -v xddot.F | grep -v xdaxpy.F | grep -v xscal.F | grep -v xdnrm2.F | grep -v xdscal.F | grep -v xdswap.F`; do \
	  mv $$i $$i\_; \
	done)	
	dh_auto_configure -- --enable-gnu \
		GNULIBS="-lblas -llapack" \
		GNUFLAGS="-L/usr/lib" \
		FCFLAGS="-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -D__fortran -D__fortran77 -g -O2 -Wall -fno-aggressive-loop-optimizations" \
		CFLAGS="-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -g -Wall -O2" \
		CXXFLAGS="-DMPIF2C -DMPI2 -DC_SUFFIX -DCB_SUFFIX -g -Wall -O2"

%:
	dh $@ 

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false csh ./runscript-quick)
	-cat ACESIII_TESTS/monitor_tests
endif

=== debian/watch ===
version=3
http://www.qtp.ufl.edu/ACES/download.shtml#source .*/ACESIII_release_(3)(\d)(\d+)\.tar\.gz
